| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__PFR Struct Reference
Packet Filter Rule

Packet Filter Rule. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | Name
| Packet Filter Rule Name. More...
xsd__string | Description
| Packet Filter Rule Description. More...
enum unsp__TransportProtocol * | Protocol
| Protocol that the Packet Filter Rule applies to. More...
enum unsp__PFRDirection * | Direction
| Direction that the Packet Filter Rule applies to. More...
enum unsp__PFRAction * | Action
| Whether the rule permits or blocks the packets. More...
xsd__string | LocalAlias
| Local Alias. More...
xsd__int * | LocalPortBegin
| Any IP port. More...
xsd__int * | LocalPortEnd
| Any IP port. More...
xsd__string | RemoteFQDN
| Remote Fully Qualified Name. More...
xsd__string | RemoteIP
| Remote IP Address. More...
xsd__string | RemoteNetmask
| Remote Network Mask. More...
xsd__int * | RemotePortBegin
| Any IP Port. More...
xsd__int * | RemotePortEnd
| Any IP port. More...

## Detailed Description

Packet Filter Rule.

## Member Data Documentation

## ◆ Action

enum unsp__PFRAction* unsp__PFR::Action

Whether the rule permits or blocks the packets.

required: true
default value[range]: NA

## ◆ Description

xsd__string unsp__PFR::Description

Packet Filter Rule Description.

required: false [1..63]
default value[range]: NA

## ◆ Direction

enum unsp__PFRDirection* unsp__PFR::Direction

Direction that the Packet Filter Rule applies to.

required: true
default value[range]: NA

## ◆ LocalAlias

xsd__string unsp__PFR::LocalAlias

Local Alias.

required: true
default value[range]: NA [1..63]

## ◆ LocalPortBegin

xsd__int* unsp__PFR::LocalPortBegin

Any IP port.

required: false
default value[range]: NA [0..65535]

## ◆ LocalPortEnd

xsd__int* unsp__PFR::LocalPortEnd

Any IP port.

required: false
default value[range]: NA [0..65535]

## ◆ Name

xsd__string unsp__PFR::Name

Packet Filter Rule Name.

required: true
default value[range]: NA [1..63]

## ◆ Protocol

enum unsp__TransportProtocol* unsp__PFR::Protocol

Protocol that the Packet Filter Rule applies to.

required: true
default value[range]: NA

## ◆ RemoteFQDN

xsd__string unsp__PFR::RemoteFQDN

Remote Fully Qualified Name.

required: false
default value[range]: NA [1..63]

## ◆ RemoteIP

xsd__string unsp__PFR::RemoteIP

Remote IP Address.

required: false
default value[range]: NA [1..50]

## ◆ RemoteNetmask

xsd__string unsp__PFR::RemoteNetmask

Remote Network Mask.

required: false
default value[range]: NA [1..16]

## ◆ RemotePortBegin

xsd__int* unsp__PFR::RemotePortBegin

Any IP Port.

required: false
default value[range]: NA [0..65535]

## ◆ RemotePortEnd

xsd__int* unsp__PFR::RemotePortEnd

Any IP port.

required: false
default value[range]: NA [0..65535]

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h